rijndael.h File Reference

Classes for Rijndael encryption algorithm. More...

Go to the source code of this file.

## Classes

struct | Rijndael_Info
| Rijndael block cipher information. More...
class | Rijndael
| Rijndael block cipher implementation details. More...

## Typedefs

typedef Rijndael::Encryption | RijndaelEncryption
typedef Rijndael::Decryption | RijndaelDecryption

## Detailed Description

Classes for Rijndael encryption algorithm.

All key sizes are supported. The library only provides Rijndael with 128-bit blocks, and not 192-bit or 256-bit blocks

Definition in file rijndael.h.